#!/usr/bin/perl -w

use strict;
use List::Util 'shuffle';

print "Please enter the name of the VEGAS output file: ";
my $input_file1 = <STDIN>;
chomp $input_file1;

my $j =0;
for($j=1;$j<10001;$j++)
{
	my $outFileName = "permutedSNPfile". "_" . $j . ".txt";
	
	open(IN,$input_file1)or die "\nCould not open input file\n";
	open(OUT,">$outFileName") or die "\nCould not open output file\n";
	
	my %genePvaluePerGWAS;
	while(<IN>)
		{
			my $line = $_;
			$line =~ s/\"//g;
			unless($line =~ /^\d/){next;}
			my @input = split(/\s+/,$line);
			my $geneName = $input[1];
			my $genePvalue = $input[7];
			$genePvaluePerGWAS{$geneName} = $genePvalue;
		}

	my @originalGeneList = ();
	my @originalPvalues = ();

	foreach my $geneKey(keys %genePvaluePerGWAS)
		{ 
			push(@originalGeneList,$geneKey);
			push(@originalPvalues, $genePvaluePerGWAS{$geneKey});
	        }
						
	my @shuffledGeneList = shuffle(@originalGeneList);
	my $i=0;
	my $arrLength = scalar(@shuffledGeneList);
	for($i=0;$i<$arrLength;$i++)
		{
		    print OUT "$shuffledGeneList[$i] $originalPvalues[$i]\n";
		}
}
